
#pragma once

class PalettizedFrameBuffer;


class Cube
{
public:
	inline explicit Cube(float speed)
		: m_speed(speed)
		, m_angleX(0.0f)
		, m_angleY(0.0f)
		, m_angleZ(0.0f)
	{
	}

	void Update(float deltaTime);
	void Render(PalettizedFrameBuffer* frameBuffer, int x, int y);

private:
	float m_speed;
	float m_angleX;
	float m_angleY;
	float m_angleZ;
};
